using System;
internal class Program
{
    static void Main(string[] args)
    {
        string[] u1 = Console.ReadLine().Split(' ');
        string[] u2 = Console.ReadLine().Split(' ');
        int n = Convert.ToInt32(u1[0]); int l=Convert.ToInt32(u1[1]);
        int[] h=new int[n];
        for (int i = 0; i < n; i++)
        {
            h[i]=Convert.ToInt32(u2[i]);
        }
        int indeks = 0 ;
        bool zakacio = false;
        for (int i = 0; i < n; i++)
        {
            if (h[i] <= l)
            {
                zakacio = true;
                indeks = i + 1;
                break;
            }
        }
        if(zakacio==false)
        {
            indeks = -1;
        }
        Console.WriteLine(indeks);
    }
}